be.fgov.ehealth.standards.kmehr.schema.v1

## Class IncapacityType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.IncapacityType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:52:59+01:00",
                 comments="JAXB RI v2.3.7")
      public class IncapacityType
      extends Object
      implements Serializable

  Java class for incapacityType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="incapacityType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-INCAPACITY" maxOccurs="unbounded"/>
               <element name="incapacityreason" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}incapacityreasonType" minOccurs="0"/>
               <element name="percentage" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
               <element name="outofhomeallowed" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="initialincapacitydate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncapacityType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CDINCAPACITY>` | `getCds()` Gets the value of the cds property.
    `IncapacityreasonType` | `getIncapacityreason()` Gets the value of the incapacityreason property.
    `org.joda.time.DateTime` | `getInitialincapacitydate()` Gets the value of the initialincapacitydate property.
    `BigDecimal` | `getPercentage()` Gets the value of the percentage property.
    `Boolean` | `isOutofhomeallowed()` Gets the value of the outofhomeallowed property.
    `void` | `setIncapacityreason(IncapacityreasonType value)` Sets the value of the incapacityreason property.
    `void` | `setInitialincapacitydate(org.joda.time.DateTime value)` Sets the value of the initialincapacitydate property.
    `void` | `setOutofhomeallowed(Boolean value)` Sets the value of the outofhomeallowed property.
    `void` | `setPercentage(BigDecimal value)` Sets the value of the percentage property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncapacityType

          public IncapacityType()

  - ### Method Detail

    - #### getCds

          public List<CDINCAPACITY> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDINCAPACITY`

    - #### getIncapacityreason

          public IncapacityreasonType getIncapacityreason()

      Gets the value of the incapacityreason property.
      Returns:
        possible object is `IncapacityreasonType`

    - #### setIncapacityreason

          public void setIncapacityreason(IncapacityreasonType value)

      Sets the value of the incapacityreason property.
      Parameters:
        `value` - allowed object is `IncapacityreasonType`

    - #### getPercentage

          public BigDecimal getPercentage()

      Gets the value of the percentage property.
      Returns:
        possible object is `BigDecimal`

    - #### setPercentage

          public void setPercentage(BigDecimal value)

      Sets the value of the percentage property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### isOutofhomeallowed

          public Boolean isOutofhomeallowed()

      Gets the value of the outofhomeallowed property.
      Returns:
        possible object is `Boolean`

    - #### setOutofhomeallowed

          public void setOutofhomeallowed(Boolean value)

      Sets the value of the outofhomeallowed property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getInitialincapacitydate

          public org.joda.time.DateTime getInitialincapacitydate()

      Gets the value of the initialincapacitydate property.
      Returns:
        possible object is `String`

    - #### setInitialincapacitydate

          public void setInitialincapacitydate(org.joda.time.DateTime value)

      Sets the value of the initialincapacitydate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.